For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • GETList runs
      • GETGet run
      • POSTCreate run
  • Event Reference
API ReferenceWorkflows

Get run

GET
https://api.plextera.com/api/public/v1/workflow-runs/:runId
GET
/api/public/v1/workflow-runs/:runId
$curl https://api.plextera.com/api/public/v1/workflow-runs/runId \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "id": "string",
3 "status": "PROCESSING",
4 "createdAt": "2024-01-15T09:30:00Z",
5 "updatedAt": "2024-01-15T09:30:00Z",
6 "startedAt": "2024-01-15T09:30:00Z",
7 "completedAt": "2024-01-15T09:30:00Z",
8 "error": {
9 "code": "UNSUPPORTED_DOCUMENT",
10 "message": "The document could not be processed by Document Insights."
11 },
12 "workflow": {
13 "id": "string",
14 "name": "string"
15 },
16 "progress": {
17 "stepsCompleted": 1,
18 "stepsTotal": 1
19 },
20 "durationMs": 1,
21 "computedDurationMs": 1,
22 "steps": [
23 {
24 "id": "string",
25 "name": "string",
26 "type": "string",
27 "status": "QUEUED",
28 "message": "string",
29 "output": null,
30 "nestedRuns": {
31 "count": 1,
32 "data": [
33 {
34 "id": "string",
35 "status": "PROCESSING",
36 "createdAt": "2024-01-15T09:30:00Z",
37 "updatedAt": "2024-01-15T09:30:00Z",
38 "startedAt": "2024-01-15T09:30:00Z",
39 "completedAt": "2024-01-15T09:30:00Z",
40 "error": {
41 "code": "UNSUPPORTED_DOCUMENT",
42 "message": "The document could not be processed by Document Insights."
43 },
44 "workflow": {
45 "id": "string",
46 "name": "string"
47 },
48 "progress": {
49 "stepsCompleted": 1,
50 "stepsTotal": 1
51 },
52 "durationMs": 1,
53 "computedDurationMs": 1,
54 "steps": [
55 null
56 ]
57 }
58 ]
59 }
60 }
61 ]
62}
Was this page helpful?
Previous

Create run

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Path parameters

runIdstringRequired

Response

OK
idstring
statusenum
Allowed values:
createdAtdatetime
updatedAtdatetime
startedAtdatetime
completedAtdatetime
errorobject
Terminal failure details. Present only for failed or rejected extractions and workflow runs.
workflowobject
progressobject
durationMslong
computedDurationMslong
stepslist of objects